Issue1118

classification
Title: Passing options to -W blows it up
Type: Severity: major
Components: Core Versions: 2.5alpha1
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: zyasoft Nosy List: fwierzbicki, thijs, zyasoft
Priority: immediate Keywords:

Created on 2008-09-02.19:18:28 by thijs, last changed 2008-09-05.16:22:20 by zyasoft.

Messages
msg3467 (view) Author: Thijs Triemstra (thijs) Date: 2008-09-02.19:18:27
Using Jython 2.5a1+ (trunk:5282, Sep 2 2008, 17:41:52) 
[Java HotSpot(TM) 64-Bit Server VM (Sun Microsystems Inc.)] on 
java1.5.0_13

When running Jython from the commandline like:

jython -W all -W 
ignore::PendingDeprecationWarning:distutils.command.build_py -W 
ignore::PendingDeprecationWarning:distutils.command.build_ext setup.py 
build_ext -i

it will crash with a nullpointer exception:

Exception in thread "main" java.lang.NullPointerException
	at org.python.util.jython.run(jython.java:141)
	at org.python.util.jython.main(jython.java:111)

See for more info the twisted/jython buildslave on http://buildbot.twistedmatrix.com/builders/ubuntu64-jython2.5-
select/builds/2
msg3468 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2008-09-02.19:49:11
In fact on trunk it looks like any argument to -W throws the NPE.
msg3470 (view) Author: Jim Baker (zyasoft) Date: 2008-09-05.16:22:19
org.python.util.jython#run did not initialize PySystemState.warnoptions
with an empty PyList before adding to it. Fixed with r5290. 

Still need to add a unit test for this!
History
Date User Action Args
2008-09-05 16:22:20zyasoftsetstatus: open -> closed
assignee: zyasoft
messages: + msg3470
nosy: + zyasoft
priority: immediate
2008-09-02 19:49:11fwierzbickisetnosy: + fwierzbicki
messages: + msg3468
severity: normal -> major
2008-09-02 19:18:28thijscreate